﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;

public partial class _Default : System.Web.UI.Page
{
protected void Page_Load(object sender, EventArgs e)
{
    if (!this.IsPostBack)
    {
        this.BindGrid();
    }
}

private void BindGrid()
{
    DataTable dt = new DataTable();
    dt.Columns.AddRange(new DataColumn[2] { new DataColumn("date_taken", typeof (DateTime)),
                                            new DataColumn("stu_score", typeof (int))});
    dt.Rows.Add("OCT-14-2021 ", 80);
    dt.Rows.Add("OCT-15-2021 ", 81);
    dt.Rows.Add("OCT-16-2021 ", 82);
    dt.Rows.Add("OCT-17-2021 ", 83);
    dt.Rows.Add("OCT-18-2021 ", 84);
    dt.Rows.Add("OCT-19-2021 ", 85);
    FV_quiz_summary_Stu_Details.DataSource = dt;
    FV_quiz_summary_Stu_Details.DataBind();
}

protected void OnContinue(object sender, EventArgs e)
{
    string time = (FV_quiz_summary_Stu_Details.FindControl("Lbl_TimeTaken") as Label).Text;
    string score = (FV_quiz_summary_Stu_Details.FindControl("lblStu_score") as Label).Text;
    ClientScript.RegisterClientScriptBlock(this.GetType(), "", "alert('Date: " + time + "\\nScore: " + score + "');", true);
}
}